Get card
curl --request GET \
--url https://api.contro.me/v1/partner/cards/{id} \
--header 'x-contro-api-key: <api-key>'import requests
url = "https://api.contro.me/v1/partner/cards/{id}"
headers = {"x-contro-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-contro-api-key': '<api-key>'}};
fetch('https://api.contro.me/v1/partner/cards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "card_def456",
"type": "virtual",
"brand": "Visa",
"status": "active",
"nameOnCard": "JANE DOE",
"limit": 5000,
"last4": "0000",
"programId": "prog_xyz",
"createdAt": "2026-03-20T14:30:00Z",
"spendControl": {
"sales": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
},
"cash": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
},
"spent": {
"sales": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
},
"cash": {
"perTransaction": 200,
"daily": 1000,
"monthly": 20000,
"allTime": 50000
}
}
}
}Cards
Get card
Get card details
GET
/
partner
/
cards
/
{id}
Get card
Authorizations
Partner API key (sk_live_* for production, sk_test_* for sandbox)
Path Parameters
Card ID
Example:
"card_def456"
Response
Card details
Card ID
Example:
"card_def456"
Card type. One of: virtual, physical
Example:
"virtual"
Card network brand. One of: Visa, Mastercard
Example:
"Visa"
Current card status. One of: created, active, frozen, cancelled
Example:
"active"
Name embossed on the card, or null for virtual cards
Example:
"JANE DOE"
Deprecated. Mirrors spendControl.sales.allTime. Use spendControl for per-transaction-type velocity caps.
Example:
5000
Last 4 digits of the card number
Example:
"0000"
Card program this card was issued from
Example:
"prog_xyz"
ISO 8601 creation timestamp
Example:
"2026-03-20T14:30:00Z"
Per-transaction-type velocity caps and accrued spend. null/omit = no caps.
Show child attributes
Show child attributes